Fix CocoaPods for Xcode 6 beta

If you run

pod update  

and receive an error like this:

cannot load such file -- xcodeproj/prebuilt/universal.x86_64-darwin14-2.0.0/xcodeproj_ext (LoadError)  
  1. Open Xcode 6 and under Preferences->Locations change Command Line Tools version to Xcode 6.0
  2. Uninstall CocoaPods gem uninstall cocoapods
  3. Install XcodeProj gem install xcodeproj
  4. Install CocoaPods gem install cocoapods
  5. Run pod --version to verify that it worked
View Comments
Navigation